A PHP projekt az elmúlt hét végén tett közzé honlapján népszerű nyílt forrású webes szkriptmotorjának legújabb változatát. A frissen megjelent PHP 4.3.2 számos veszélyesnek minősített biztonsági rést foltoz, és javított Apache 2.x támogatással rendelkezik.

Az apróbb bugfixek mellett az új PHP változat több akár súlyos következményekkel is járó puffer- és számábrázolás-túlcsordulási hiba, valamint kizárólag 64-bites platformokon jelentkező probléma javítását is tartalmazza. Szintén a biztonság növekedését szolgálja az a bővítés, amely lehetővé teszi a konfigurációs állományon keresztül egyes osztályok használatának tiltását a szkriptekben.

Ezen kívül az új PHP a GD grafikus könyvtár legújabb, 2.0.12-es változatát foglalja magában, és egy átdolgozott Apache 2.0 SAPI modullal rendelkezik, amely a készítők szerint nagyban javítja az együttműködés hatékonyságát a népszerű nyílt forrású webszerverrel.

A PHP 4.3.2 változatának további módosításairól az érdeklődők a program módosítási naplójában olvashatnak, míg a program forráskódját és binárisait a php.net oldalról tölthetik le.